<template>
    <b-navbar toggleable="sm" type="light" variant="light" sticky>
        <b-container>
            <b-navbar-brand>Blanche Maurice</b-navbar-brand>

            <b-navbar-toggle target="nav-collapse" />

            <b-collapse id="nav-collapse" is-nav>
                <b-navbar-nav>
                    <b-nav-item :href="CVURL" target="_blank" style="font-size: 1.05em">Résumé</b-nav-item>
                    <b-nav-item :href="'mailto:' + $options.settings.Mail"><b-icon-envelope font-scale="1.4" /></b-nav-item>
                    <b-nav-item :href="'tel:' + $options.settings.Telephone"><b-icon-telephone font-scale="1.4" /></b-nav-item>
                    <b-nav-item :href="$options.settings.Mastodon" rel="me" target="_blank"><b-icon-mastodon font-scale="1.4" /></b-nav-item>
                    <b-nav-item :href="$options.settings.Bluesky" target="_blank"><faicon :icon="['fab', 'bluesky']" size="lg" /></b-nav-item>
                    <b-nav-item :href="$options.settings.Linkedin" target="_blank"><b-icon-linkedin font-scale="1.4" /></b-nav-item>
                </b-navbar-nav>

                <!-- TODO: languages -->
                <!-- <b-navbar-nav class="ml-auto">

                    <b-nav-item active href="#">EN</b-nav-item>
                    <b-nav-text>|</b-nav-text>
                    <b-nav-item disabled>FR</b-nav-item>
                    
                </b-navbar-nav> -->
            </b-collapse>

            <b-navbar-brand right>Systems Engineer</b-navbar-brand>
        </b-container>
    </b-navbar>
</template>

<script>
import Settings from '../settings.json';

export default {
    settings: Settings,
    created () {
        this.CVURL = Settings.HTTP + Settings.DownloadFolder + Settings.CVFile;
    }
};
</script>

<style scoped>
    .navbar-brand {
        font-size: 1.5em;
        font-style: italic;
    }
    .navbar {
        border-bottom: 1px solid #EEE;
        background: #fdfdfd !important;
    }
</style>
